Download it now!
Bug 59197 - New Locale Data for Sidama Language Submitted
Summary: New Locale Data for Sidama Language Submitted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-10 14:45 UTC by Tadele Assefa
Modified: 2013-11-14 14:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Locale Data for Sidama Language (13.09 KB, text/xml)
2013-01-10 14:45 UTC, Tadele Assefa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tadele Assefa 2013-01-10 14:45:01 UTC
Created attachment 72782 [details]
Locale Data for Sidama Language

As we are working on Sidama Language, I have generated the locale which is attached here. Please make it part of the build system for us.
Comment 1 Eike Rathke 2013-01-15 11:53:14 UTC
Thanks.

When test compiling this I got

Warning: QuotationStart may be wrong: U+201C “
Warning: QuotationEnd may be wrong: U+201D ”
Warning: DoubleQuotationStart may be wrong: U+2018 ‘
Warning: DoubleQuotationEnd may be wrong: U+2019 ’
Warning: FormatCode formatindex="12" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.

I swapped QuotationStart/End with DoubleQuotationStart/End and used the negative currency format -$#,##0.00 instead. If that was not correct please say so.

I also added the date acceptance pattern M/D to enable incomplete date input.
Comment 2 Not Assigned 2013-01-15 11:57:51 UTC
Tadele Assefa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cb248cfae9ac6e7e96528ff7430fd3de7127780

fdo#59197 added Sidama_Ethiopia [sid-ET] locale data



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.